gtk-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. A widget used for items in menus.

The and derived widgets are the only valid children for menus. Their function is to correctly handle highlighting, alignment, events and submenus.

`MenuBar mb = new MenuBar (); Menu file_menu = new Menu (); MenuItem exit_item = new MenuItem("Exit"); file_menu.Append (exit_item); MenuItem file_item = new MenuItem("File"); file_item.Submenu = file_menu; mb.Append (file_item);` Gtk.Item Atk.Implementor GLib.IWrapper GLib.IWrapper System.IDisposable
- Method
  System.Void Removes the submenu of the , if it has one.
- Method
  System.Void Fires the event.
- Method
  System.Void Fires the event.
- Method
  System.Void `` Emits the event on the given item. The allocation to use as signal data.
- Method
  System.Void Emits the event on the given item.
- Method
  System.Void Disposes the resources associated with the object.
- Constructor
  Internal constructor
  Pointer to the C object.
  An instance of MenuItem, wrapping the C object.

  This is an internal constructor, and should not be used by user code.

- Constructor
  A constructor.
  An instance of .
- Constructor
  Creates a new MenuItem containing a label.
  The label text on the menu item, with an underscore in front of the mnemonic character.
  A
- Property
  Gtk.Widget Sets or obtains the widget submenu. The submenu. A submenu for this menu item, or if none.
- Property
  System.String Sets the accelerator path. An accelerator path, corresponding to this menu item's functionality, or to unset the current path. The accelerator path of the menu item.

  Sets the accelerator path, through which runtime changes of the menu item's accelerator caused by the user can be identified and saved to persistant storage.

- Property
  System.Boolean Sets or obtains whether the menu item appears justified at the right side of a menu bar. If the menu item will appear at the far right if added to a menu bar. Returns if the menu item will appear at the far right if added to a menu bar.
- Event
  System.EventHandler Emitted when the item is activated.
- Event
  System.EventHandler Emitted when the item is activated, but also if the menu item has a submenu. For normal applications, the relevant event is .
- Event
  Gtk.ToggleSizeAllocatedHandler Emitted when size is allocated.
- Event
  Gtk.ToggleSizeRequestedHandler Emitted when size is requested.
- Property
  GLib.GType GType Property. a Returns the native value for .
- Method
  System.Void `` Default handler for the event. a Override this method in a subclass to provide a default handler for the event.
- Method
  System.Void `` Default handler for the event. a Override this method in a subclass to provide a default handler for the event.
- Method
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Constructor
  Protected Constructor.
  a
  a
  Chain to this constructor if you have manually registered a native value for your subclass.
- Method
  System.Int32 Emits the event on the given item. The requisition to use as signal data.